it.csi.mddtools.guigen

## Interface CustomSecurityConstraint

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, UISecurityConstraint

      public interface CustomSecurityConstraint
      extends UISecurityConstraint

  A representation of the model object 'Custom Security Constraint'. Security constraint a logica custom

  The following features are supported:

  - `Method Name Suffix`
  See Also:
    `GuigenPackage.getCustomSecurityConstraint()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMethodNameSuffix()` Returns the value of the 'Method Name Suffix' attribute
    `void` | `setMethodNameSuffix(java.lang.String value)` Sets the value of the '`Method Name Suffix`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.UISecurityConstraint

      `isEnabled, isVisible, setEnabled, setVisible`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMethodNameSuffix

          java.lang.String getMethodNameSuffix()

      Returns the value of the 'Method Name Suffix' attribute.

      If the meaning of the 'Method Name Suffix' attribute isn't clear, there really should be more of a description here...

      suffisso del nome del metodo nel quale dovrà essere codificata la logica del constraint.
      Returns:
        the value of the 'Method Name Suffix' attribute.
      See Also:
        `setMethodNameSuffix(String)`, `GuigenPackage.getCustomSecurityConstraint_MethodNameSuffix()`

    - #### setMethodNameSuffix

          void setMethodNameSuffix(java.lang.String value)

      Sets the value of the '`Method Name Suffix`' attribute.
      Parameters:
        `value` - the new value of the 'Method Name Suffix' attribute.
      See Also:
        `getMethodNameSuffix()`